<?php

	if(!empty($_FILES['btnUpload']['size'])){

		include_once("auxiliares/redimensionaImg.class.php");

		$redim = new Redimensiona();

		$numero = rand(1,99999999);
		$nome = $numero.$_FILES['btnUpload']['name'];
		$nome = $redim->tratar_arquivo_upload($nome);
		
		$tipoImagem = $_FILES['btnUpload']['type'];

		// Thumbs
		$fotoThumbs = $_FILES['btnUpload']['tmp_name'];	
		$filenameThumbs = $redim->Redimensionar($fotoThumbs, 180, 180, "imagens-site/marcas/thumbs", $tipoImagem, $nome);

		// Normal
		$foto = $_FILES['btnUpload']['tmp_name'];	
		$filenameDestaque = $redim->Redimensionar($foto, 300, 300, "imagens-site/marcas", $tipoImagem, $nome);

		$insertQuery = "INSERT INTO adm_marcas (titulo,capa,link,observacao) VALUES ('".mysql_escape_string(utf8_decode($_POST['titulo']))."','".mysql_escape_string($filenameDestaque)."', '".mysql_escape_string(utf8_decode($_POST['link']))."', '".mysql_escape_string(utf8_decode($_POST['observacao']))."')";

	} else {

		$insertQuery = "INSERT INTO adm_marcas (titulo,link,observacao) VALUES ('".mysql_escape_string(utf8_decode($_POST['titulo']))."', '".mysql_escape_string(utf8_decode($_POST['link']))."', '".mysql_escape_string(utf8_decode($_POST['observacao']))."')";
	}

	$insertMarca = mysql_query($insertQuery);

	if($insertMarca){
		?>
		<table>
			<tr>
				<td>
					Cliente cadastrado com sucesso.
					<!-- <meta http-equiv="refresh" content="2; url=miolo.php?miolo=marcas&acao=cadastrar" /> -->
				</td>
			</tr>
		</table>
		<?
	}

	if(!$insertMarca){
		?>
		<table>
			<tr>
				<td>
					Houve um erro ao cadastrar o cliente.
					<!-- <meta http-equiv="refresh" content="2; url=miolo.php?miolo=marcas&acao=cadastrar" /> -->
				</td>
			</tr>
		</table>
		<?
	}

?>